{ lib, pkgs, ... }:
{
  services = {
    # Enable Desktop Environment.
    desktopManager.gnome.enable = true;
    # Enable Desktop Environment.
    displayManager = {
      gdm.enable = lib.mkDefault true;
      gdm.wayland = lib.mkDefault true;
    };

    gnome.gnome-remote-desktop.enable = true;
  };
  
  xdg.portal.extraPortals = [ pkgs.xdg-desktop-portal-gtk ];

  programs = {
    kdeconnect = {
      enable = true;
      package = pkgs.gnomeExtensions.gsconnect;
    };
  };
}